Get event statistics
GET
/api/events/{eventid}/stats
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stats"), Headers = { { "x-api-key", "<x-api-key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stats';const options = {method: 'GET', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/stats \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
Responses
Section titled “Responses”OK
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
numAttendees
null | integer | string format: int32
numInvitees
null | integer | string format: int32
numRegistered
null | integer | string format: int32
numRegistrationAvailable
null | integer | string format: int32
numTickets
null | integer | string format: int32
numSubEvents
null | integer | string format: int32
numFacilitators
null | integer | string format: int32
numApps
null | integer | string format: int32
numCompanies
null | integer | string format: int32
amountReg
null | integer | string format: int32
amountOther
null | integer | string format: int32
amountTotal
null | integer | string format: int32
otherCost
null | integer | string format: int32
totalCost
null | integer | string format: int32
currency
null | string
emailSent
null | integer | string format: int32
emailOpen
null | integer | string format: int32
emailBounced
null | integer | string format: int32
invitesSent
null | integer | string format: int32
invitesAccepted
null | integer | string format: int32
ticketsAvailable
null | integer | string format: int32
ticketsPurchased
null | integer | string format: int32
numWaitlisted
null | integer | string format: int32
numViews
null | integer | string format: int32
numVisitors
null | integer | string format: int32
object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
numAttendees
null | integer | string format: int32
numInvitees
null | integer | string format: int32
numRegistered
null | integer | string format: int32
numRegistrationAvailable
null | integer | string format: int32
numTickets
null | integer | string format: int32
numSubEvents
null | integer | string format: int32
numFacilitators
null | integer | string format: int32
numApps
null | integer | string format: int32
numCompanies
null | integer | string format: int32
amountReg
null | integer | string format: int32
amountOther
null | integer | string format: int32
amountTotal
null | integer | string format: int32
otherCost
null | integer | string format: int32
totalCost
null | integer | string format: int32
currency
null | string
emailSent
null | integer | string format: int32
emailOpen
null | integer | string format: int32
emailBounced
null | integer | string format: int32
invitesSent
null | integer | string format: int32
invitesAccepted
null | integer | string format: int32
ticketsAvailable
null | integer | string format: int32
ticketsPurchased
null | integer | string format: int32
numWaitlisted
null | integer | string format: int32
numViews
null | integer | string format: int32
numVisitors
null | integer | string format: int32
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "numAttendees": 1, "numInvitees": 1, "numRegistered": 1, "numRegistrationAvailable": 1, "numTickets": 1, "numSubEvents": 1, "numFacilitators": 1, "numApps": 1, "numCompanies": 1, "amountReg": 1, "amountOther": 1, "amountTotal": 1, "otherCost": 1, "totalCost": 1, "currency": "example", "emailSent": 1, "emailOpen": 1, "emailBounced": 1, "invitesSent": 1, "invitesAccepted": 1, "ticketsAvailable": 1, "ticketsPurchased": 1, "numWaitlisted": 1, "numViews": 1, "numVisitors": 1}object
id
string format: uuid
created
string format: date-time
modified
string format: date-time
etag
null | string
projectId
string format: uuid
eventId
string format: uuid
numAttendees
null | integer | string format: int32
numInvitees
null | integer | string format: int32
numRegistered
null | integer | string format: int32
numRegistrationAvailable
null | integer | string format: int32
numTickets
null | integer | string format: int32
numSubEvents
null | integer | string format: int32
numFacilitators
null | integer | string format: int32
numApps
null | integer | string format: int32
numCompanies
null | integer | string format: int32
amountReg
null | integer | string format: int32
amountOther
null | integer | string format: int32
amountTotal
null | integer | string format: int32
otherCost
null | integer | string format: int32
totalCost
null | integer | string format: int32
currency
null | string
emailSent
null | integer | string format: int32
emailOpen
null | integer | string format: int32
emailBounced
null | integer | string format: int32
invitesSent
null | integer | string format: int32
invitesAccepted
null | integer | string format: int32
ticketsAvailable
null | integer | string format: int32
ticketsPurchased
null | integer | string format: int32
numWaitlisted
null | integer | string format: int32
numViews
null | integer | string format: int32
numVisitors
null | integer | string format: int32
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "created": "2026-04-15T12:00:00Z", "modified": "2026-04-15T12:00:00Z", "etag": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "numAttendees": 1, "numInvitees": 1, "numRegistered": 1, "numRegistrationAvailable": 1, "numTickets": 1, "numSubEvents": 1, "numFacilitators": 1, "numApps": 1, "numCompanies": 1, "amountReg": 1, "amountOther": 1, "amountTotal": 1, "otherCost": 1, "totalCost": 1, "currency": "example", "emailSent": 1, "emailOpen": 1, "emailBounced": 1, "invitesSent": 1, "invitesAccepted": 1, "ticketsAvailable": 1, "ticketsPurchased": 1, "numWaitlisted": 1, "numViews": 1, "numVisitors": 1}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}